# pydicom.sequence.Sequence

class `pydicom.sequence.``Sequence`(iterable=None)

  Class to hold multiple `Dataset` in a `list`.

  This class is derived from `MultiValue` and as such enforces that all items added to the list are `Dataset` instances. In order to do this, a validator is substituted for type_constructor when constructing the `MultiValue` super class.

  `__init__`(iterable=None)

    Initialize a list of `Dataset`.

    Parameters: | iterable (list-like of dataset.Dataset, optional) – An iterable object (e.g. `list`, `tuple`) containing `Dataset`. If not used then an empty `Sequence` is generated.

  Methods

  `__init__`([iterable]) | Initialize a list of `Dataset`.
  `append`(val) | S.append(value) – append value to the end of the sequence
  `clear`() |
  `count`(value) |
  `extend`(values) | S.extend(iterable) – extend sequence by appending elements from the iterable
  `index`(value, [start, [stop]]) | Raises ValueError if the value is not present.
  `insert`(position, val) | S.insert(index, value) – insert value before index
  `pop`([index]) | Raise IndexError if list is empty or index is out of range.
  `remove`(value) | S.remove(value) – remove first occurrence of value.
  `reverse`() | S.reverse() – reverse IN PLACE
  `sort`([key, reverse]) |

  Attributes

  `parent` | Return a weak reference to the parent `Dataset`.

  `parent`

    Return a weak reference to the parent `Dataset`.

    New in version 1.3.

    Changed in version 1.4: Returned value is a weak reference to the parent `Dataset`.